package cn.sh.stc.sict.cloud.common.gateway.feign.fallback;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.common.gateway.feign.RemoteAuthService;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author gao
 * @date 2023/09/04 09:51
 */
@Component
@Slf4j
public class RemoteAuthFallback implements FallbackFactory<RemoteAuthService> {

    @Override
    public RemoteAuthService create(Throwable throwable) {
        return new RemoteAuthService() {
            @Override
            public R<Boolean> isValid(String toke) {
                log.info("远程调用失败：权限校验错误");
                return null;
            }
        };
    }
}
